/*
change_composer.jsx
(c)2008 www.seuzo.jp
ドキュメント中の「Adobe 日本語段落コンポーザ」を「Adobe 日本語単数行コンポーザ」に変更する

2006-11-14	ver.0.1	http://www.seuzo.jp/rubbs/search_html/msg01451.html
2008-10-06	ver.0.2	InDesign CS3。スタイルだけでなく、検索置換ですべての「Adobe 日本語段落コンポーザ」を「Adobe 日本語単数行コンポーザ」に変換できるようにした。
*/

#target "InDesign-5.0"

////////////////////////////////////////////設定
var change_paragraphStyles = true;//段落スタイルを変更するかどうか
var find_composer = true;//検索置換を使って「Adobe 日本語段落コンポーザ」を「Adobe 日本語単数行コンポーザ」に変換するかどうか


////////////////////////////////////////////エラー処理 
function myerror(mess) { 
  if (arguments.length > 0) { alert(mess); }
  exit();
}

////////////////////////////////////////////処理 
if (app.documents.length == 0) {myerror("ドキュメントが開かれていません")}
var my_doc = app.activeDocument;

//段落スタイルの変更
if (change_paragraphStyles) {
	var my_paragraph_styles = my_doc.paragraphStyles;
	for (var i=0; i < my_paragraph_styles.length; i++) {
		var tmp_name = my_paragraph_styles.item(i).name;
		if (tmp_name != "[基本段落]" && tmp_name != "[段落スタイルなし]"){//基本段落のスタイルは変更しない
			if (my_paragraph_styles.item(i).composer == "Adobe 日本語段落コンポーザ") {//「Adobe 日本語段落コンポーザ」だけを対象にする
				my_paragraph_styles.item(i).composer = "Adobe 日本語単数行コンポーザ";
			}
		}
	}
}

//検索置換によるコンポーザの変更
if(find_composer) {
	app.findTextPreferences = NothingEnum.nothing;
	app.changeTextPreferences = NothingEnum.nothing;
	app.findTextPreferences.composer = "Adobe 日本語段落コンポーザ";
	app.changeTextPreferences.composer = "Adobe 日本語単数行コンポーザ";
	my_doc.changeText ();//置換の実行
}
